testing::internal::ParameterizedTestSuiteInfoBase Class Referenceabstract

`#include <gtest.h>`

Inheritance diagram for testing::internal::ParameterizedTestSuiteInfoBase:

## Public Member Functions

virtual | ~ParameterizedTestSuiteInfoBase ()
virtual const std::string & | GetTestSuiteName () const =0
virtual TypeId | GetTestSuiteTypeId () const =0
virtual void | RegisterTests ()=0

## Protected Member Functions

| ParameterizedTestSuiteInfoBase ()

## Detailed Description

Definition at line 11005 of file gtest.h.

## Constructor & Destructor Documentation

## ~ParameterizedTestSuiteInfoBase()

virtual testing::internal::ParameterizedTestSuiteInfoBase::~ParameterizedTestSuiteInfoBase | ( |  | ) |

inlinevirtual

Definition at line 11007 of file gtest.h.

## ParameterizedTestSuiteInfoBase()

testing::internal::ParameterizedTestSuiteInfoBase::ParameterizedTestSuiteInfoBase | ( |  | ) |

inlineprotected

Definition at line 11020 of file gtest.h.

## Member Function Documentation

## GetTestSuiteName()

virtual const std::string& testing::internal::ParameterizedTestSuiteInfoBase::GetTestSuiteName | ( |  | ) | const

pure virtual

Implemented in testing::internal::ParameterizedTestSuiteInfo< TestSuite >.

## GetTestSuiteTypeId()

virtual TypeId testing::internal::ParameterizedTestSuiteInfoBase::GetTestSuiteTypeId | ( |  | ) | const

pure virtual

Implemented in testing::internal::ParameterizedTestSuiteInfo< TestSuite >.

## RegisterTests()

virtual void testing::internal::ParameterizedTestSuiteInfoBase::RegisterTests | ( |  | ) |

pure virtual

Implemented in testing::internal::ParameterizedTestSuiteInfo< TestSuite >.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h